# KtorCallFactory - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.Ktor / KtorCallFactory

# KtorCallFactory

(common) `interface KtorCallFactory` (source)

### Functions

(common)

#### prepareCall

`abstract suspend fun <T : Any> prepareCall(client: HttpClient, baseUrl: String, request: Request<T>): HttpStatement?`

### Inheritors

(common)

#### AbstractRequestCallFactory

`abstract class AbstractRequestCallFactory : KtorCallFactory`